class DiscountByWeight {
  String id;
  double weight;
  double discount;

  DiscountByWeight({this.id, this.weight, this.discount});

  factory DiscountByWeight.fromMap(Map<String, dynamic> map, String id) {
    return DiscountByWeight(
      id: id,
      weight: (map['weight'] ?? 0).toDouble(),
      discount: (map['discount'] ?? 0).toDouble(),
    );
  }

  Map<String, dynamic> toMap() {
    return {
      "id": id,
      'weight': weight,
      'discount': discount,
    };
  }
}
